declare type Obj = {
    [name: string]: any;
};
export interface IComposer {
    onionCompose: (middlewares: any[]) => (context: any, next?: () => Promise<any>) => Promise<any>;
    pipeCompose: (pipes: any[]) => (arg: any) => any;
    reducedCompose: (props: any[]) => {
        [name: string]: any;
    };
    processCompose: (processors: ((...args: any[]) => any)[]) => (context?: any) => {
        [name: string]: any;
    };
    pipeMergedCompose: (props: any[], fn?: (res: any, prop?: Obj, initial?: boolean) => any) => Obj;
    mergedCompose: (props: {
        [name: string]: any;
    }, fn?: (res: any, prop?: Obj, initial?: boolean) => any) => any;
    timelineCompose: (timelines: string[], native: {
        [name: string]: any;
    }, extension?: {
        [name: string]: any;
    }) => any[];
}
export declare const onionCompose: IComposer['onionCompose'];
export declare const pipeCompose: IComposer['pipeCompose'];
export declare const processCompose: IComposer['processCompose'];
export declare const reducedCompose: IComposer['reducedCompose'];
export declare const mergedCompose: IComposer['mergedCompose'];
export declare const pipeMergedCompose: IComposer['pipeMergedCompose'];
export declare const timelineCompose: IComposer['timelineCompose'];
declare const _default: {
    onionCompose: (middlewares: any[]) => (context: any, next?: (() => Promise<any>) | undefined) => Promise<any>;
    timelineCompose: (timelines: string[], native: {
        [name: string]: any;
    }, extension?: {
        [name: string]: any;
    } | undefined) => any[];
    pipeCompose: (pipes: any[]) => (arg: any) => any;
    pipeMergedCompose: (props: any[], fn?: ((res: any, prop?: Obj | undefined, initial?: boolean | undefined) => any) | undefined) => Obj;
    processCompose: (processors: ((...args: any[]) => any)[]) => (context?: any) => {
        [name: string]: any;
    };
    mergedCompose: (props: {
        [name: string]: any;
    }, fn?: ((res: any, prop?: Obj | undefined, initial?: boolean | undefined) => any) | undefined) => any;
    reducedCompose: (props: any[]) => {
        [name: string]: any;
    };
};
export default _default;
